C******************** START FILE UFSND0.FOR ; GROUP UFILES ******************
C-------------------------------------------------------------
C  UFSND0 - DISPLAY UFILES FILENAME WITH LABEL OR MESSAGE
C
      SUBROUTINE UFSND0(LUNO,ZLABL,ZFILE)
      CHARACTER*(*) ZLABL
      CHARACTER*(*) ZFILE
C
      ILENF=IUFTRM(ZFILE,'UFSND0 FILENAME',IER)
      ILENL=LEN(ZLABL)
      IF((ILENF+ILENL).LE.64) THEN
        WRITE(LUNO,1001) ZLABL(1:ILENL),ZFILE(1:ILENF)
      ELSE IF(ILENF.LE.71) THEN
        WRITE(LUNO,1002) ZLABL(1:ILENL),ZFILE(1:ILENF)
      ELSE
        WRITE(LUNO,1001) ZLABL(1:ILENL),ZFILE(1:ILENF)
      ENDIF
 1001 FORMAT(1X,A,':  ',A)
 1002 FORMAT(1X,A,':'/1X,A)
 1003 FORMAT(1X,A,':'/1X,A/1X,A)
      RETURN
      END
C******************** END FILE UFSND0.FOR ; GROUP UFILES ******************
